/*
* Our Paint: A light weight GPU powered painting program.
* Copyright (C) 2022-2023 Wu Yiming
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/*
* ourtranslations_es-ES.c is contributed by ~peron <peron@texto-plano.xyz>
* Thank you very much for the effort :D
*/

#include "ourpaint.h"

extern LA MAIN;
extern tnsMain* T;
extern OurPaint *Our;

static const char *entries[]={
"Not registered","No registrado",
"Registered","Registrado",
"Register File Associations","Registrar Asociación de Ficheros",
"System:","Sistema:",
"Multi-thread Write","Escritura Multihilo",
"Brush Size","Tamaño de Pincel",
"Brush Base Size","Tamaño de Base de Pincel",
"Size Offset","Desviación de Tamaño",
"Brush Numbers On Header","Números de Pincel en Encabezado",
"Nodes Help","Ayuda de Nodos",
"Full","Completo",
"Ref Grids","Malla de Referencia",
"Accumulate","Acumular",
"Tint","Tinte",
"Left","Izquierda",
"Right","Derecha",
"Brush Settings:","Opciones de Pinceles:",
"Boost","Intensificar",
"Transparent","Transparente",
"Opaque","Opaco",
"Clear Empty Tiles","Vaciar Recuadros vacíos",
"Main canvas","Lienzo principal",
"Inner","Interior",
"Outer","Exterior",
"Cycle Sketches","Conmutar Bosquejos",
"Remove Pallette", "Quitar Paleta",
"New Color", "Nuevo Color",
"Can't allocate memory for size", "No puedo asignar memoria para dicho tamaño",
"Export Error","Error al exportar",
"Try erasing some contents to make the canvas smaller.\n","Intente borrar contenidos para hacer mas pequeño el lienzo\n",
"Moving","Moviendo",
"Offset","Desviación",
"Visual Offset:","Desviación visual:",
"Notes","Notas",
"Pallettes","Paletas",
"Thumbnail","Miniatura",
"Factor","Factor",
"Paper","Papel",
"Pattern:","Patrón:",
"Force","Fuerza",
"Gunkyness","Chiclosidad",
"Crop To Ref","Cortar a referencia",
"Middle Margin","Margen medio",
"Vertical","Vertical",
"Horizontal","Horizontal",
"Ref Alpha","Alfa de Referencia",
"Spread","Esparcimiento",
"Reference:","Referencia:",
"Credits to Sponsors","Créditos a los Patrocinantes",
"Ref Stripes","Bandas de referencia",
"Release Notes","Notas de Lanzamiento",
"Spectral Brush","Pincel Espectral",
"Spectral","Espectral",
"Canvas Default Scale","Escala por defecto del Lienzo",
"Help","Ayuda",
"Report a Bug","Reportar un Error",
"Bad Event Tolerance","Tolerancia a Malos Eventos",
"Allow Non-pressure","Permitir sin presión",
"Undo:","Deshacer:",
"Website","Sitio Web",
"Save on exit:","Guardar al Salir:",
"Cover artist:","Artista de Portada:",
"Donate","Donaciones",
"Donate (China)","Donaciones (en China)",
"Development logs","Registros de desarrollo",
"Our Paint is a free application.","Our Paint es una aplicación libre.",
"User Manual","Manual de Usuario",
"Support the development:","Apoya el desarrollo:",
"Select the exporting behavior:","Seleccione el comportamiento de exportación:",
"Image ICC","ICC de Imagen",
"Output:","Salida:",
"16 Bits","16 bits",
"Input image does not have a built-in color profile.","La imagen de entrada no tiene un perfil de color inctrustado",
"16 bit images would be exported in the same linear color space as the canvas","Las imágenes de 16 bit serán exportadas en el mismo espacio de color lineal que el Lienzo",
"Input image is tagged as sRGB.","La imagen de entrada está etiquetada como sRGB",
"Force Linear sRGB","Forzar sRGB Linear",
"Force sRGB","Forzar sRGB",
"Flat","Liso",
"Force Linear Clay","Forzar Linear Clay",
"Follow Canvas","Seguir Lienzo",
"Canvas Current:","Lienzo Actual:",
"Select the importing behavior:","Seleccione el comportamiento de importación:",
"Input image is not tagged as sRGB.","La imagen de Entrada no está etiquetada como sRGB",
"Force Clay","Forzar Clay",
"Canvas:","Lienzo:",
"Input:","Entrada:",
"Input image has built-in color profile:","La imagen de entrada tiene un perfil de color incrustado:",
"Brush Nodes","Nodos de Pincel",
"Our Paint","Our Paint",
"Brushes","Pinceles",
"Layers","Capas",
"Canvas","Lienzo",
"Unlocked","Desbloqueado",
"Position:","Posición:",
"Size:","Tamaño:",
"Brush tool not selected","Herramienta Pincel no seleccionada",
"Border Alpha","Borde Alfa",
"No","No",
"Our Paint is made by Wu Yiming.","Our Paint es programado por Wu Yiming.",
"A simple yet flexible node-based GPU painting program.","Un programa de pintura para GPU flexible, basado en nodos",
"Our Paint blog","Blog de Our Paint",
"Dev log","Registro de Desarrollo",
"Single canvas implementation.","Implementación de Lienzo Simple.",
"8 Bits","8 bits",
"Color Profile:","Perfil de Color:",
"Import Layer","Importar Capa",
"Merge","Acoplar",
"Cropping","Recortando",
"Smoothness","Fluidez",
"Lock Radius","Radio de bloqueo",
"Smudge","Manchado",
"Clean","Limpiar",
"Layer","Capa",
"Image","Imagen",
"Paint","Pintura",
"Multiply","Multiplicar",
"Visible","Visible",
"Linear sRGB","sRGB Linear",
"Generic:","Genérico:",
"Transparency","Transparencia",
"New Brush","Nuevo Pincel",
"Canvas Scale","Escala de Lienzo",
"Others","Otros",
"Bit Depth:","Profundidad de Bit:",
"Our Paint v0.1c","Our Paint v0.1c",
"New Layer","Nueva Capa",
"Color Space:","Espacio de Color:",
"Our Paint","Our Paint",
"Dabs Per Size","Pinceladas por tamaño",
"Paintable","Pintable",
"Use Nodes","Usar Nodos",
"Paint Undo Limit","Límite de Deshacer de Pintura",
"Show","Mostrar",
"Background:","Fondo:",
"Angle","Ángulo",
"Brush Circle","Circulo de Pincel",
"Erasing","Borrando",
"R,G,B","R,G,B",
"Assign all \"Our Tools\" into:","Asignar todas \"Our Tools\" en:",
"Min,Max","Min,Max",
"Developer:","Desarrollador:",
"Smudge Resample Length","Longitud de Mancha",
"Mode:","Modo:",
"Display:","Ver:",
"Hardness","Dureza",
"Export Layer","Exportar Capa",
" Steps"," Pasos",
"Modified","Modificado",
"Export Image","Exportar Imagen",
"Slender","Inclinación",
"Show debug tiles","Mostrar recuadros de depurado",
"Exporting Defaults:","Exportando Opciones por Defecto:",
"Default as eraser","Borrador por Defecto",
"Name of the brush","Nombre del pincel",
"Combine","Combinar",
"Locked","Bloqueado",
"Brush Device","Dispositivo de Pincel",
"Brush Outputs","Salidas de Pincel",
"About","Acerca de",
"Linear Clay","Linear Clay",
"Brush Settings","Opciones de Pincel",
0,0};

void ourMakeTranslations_es_ES(){
    transSetLanguage("es-ES");
    for(int i=0;;i++){if(!entries[i*2])break;
        transNewEntry(entries[i*2],entries[i*2+1]);
    }
}
